Bug 106855 - openssl RSA performance on Athlon64 is unreasonably slow
openssl RSA performance on Athlon64 is unreasonably slow
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: openssl (Show other bugs)
3.0
athlon Linux
low Severity low
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-12 07:17 EDT by Lucky Green
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version: openssl-0.9.7f-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-22 08:01:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lucky Green 2003-10-12 07:17:49 EDT
Description of problem:

"openssl speed" on an Athlon64 test server using the RH beta for AMD64 reports 
922 1024-bit RSA signings per second. This is a tad less than optimized code 
on an 800MHz Itanium will produce on a CPU running at less than 1/3 the speed 
of the Athlon64.

How reproducible:

Fully reproducible.
 
Actual results:

922 1014-bit RSA signatures per second.

Expected results:

At least 3000 1024-bit RSA signatures per second.
Comment 1 Tomas Mraz 2005-02-04 10:56:11 EST
How does it look with the latest upstream openssl?
Comment 2 Tomas Mraz 2005-04-22 08:01:46 EDT
Current Fedora Core devel package uses the optimized assembly code for BN
operations.
 

Note You need to log in before you can comment on or make changes to this bug.